Apper - Install, Update or Remove Software Packages error

I’ve been able to update my Flash Player to the 10.3.183.90 version recently and things appear to be working properly; however, I am trying to apply some 22 updates that have posted a notification on my panel across the bottom of my desktop screen but am seeing an error condition being displayed as follows:
“A package dependency could not be found. More information is available in the detailed report. Details: patch:openSUSE-2014-121-1.noarch conflicts with flash-player.i586<11.2.202.310-2.4.1 provided by flash-player-10.2.152.26.2.1.i586” With an OK button being displayed also.
I can dismiss this dialog box but no apparent resolution occurring.
What is funny is that the older version referenced was, I believe, the older version that was installed before I updated to the newer 10.3.183.90 version which, by the way, accomplished by merely copying the libflashplayer.so to the proper subdirectory and overwriting the then current file.
Can anyone suggest a resolution to this situation which will not update my Flash Player to the newest version that doesn’t work on my system because I have an older CPU that does NOT support SSE2 extensions? Thanks!

What openSUSE Version?

lsb-release -d
zypper se -s flash

You should explain what version of openSUSE you are using and the repo list too would be good.
I wasn’t aware that the version 10.3 of flash was even getting any patches either locally with openSUSE repos or over at Adobe for that matter.

charles@linux-o5eg:~> lsb-release -d
Description:    openSUSE 13.2 (Harlequin) (i586)
charles@linux-o5eg:~> 
charles@linux-o5eg:~> zypper se -s flash
Loading repository data...
Reading installed packages...

S | Name                              | Type        | Version                      | Arch   | Repository                  
--+-----------------------------------+-------------+------------------------------+--------+-----------------------------
  | Adobe Flash Player                | application |                              | noarch | openSUSE-13.2-Update-Non-Oss
  | FlashPlayer                       | application |                              | noarch | openSUSE-13.2-Update-Non-Oss
  | btcflash                          | package     | 3.01~a24-2.2.1               | i586   | openSUSE-13.2-Oss           
i | chromium-pepper-flash             | package     | 15.0.0.223-1.1               | i586   | (System Packages)           
v | chromium-pepper-flash             | package     | 15.0.0.239-1.1               | i586   | Packman Repository          
  | chromium-pepper-flash             | srcpackage  | 15.0.0.239-1.1               | noarch | Packman Repository          
  | chromium-pepper-flash-debugsource | package     | 15.0.0.239-1.1               | i586   | Packman Repository          
i | flash-player                      | package     | 10.2.152.26-2.1              | i586   | (System Packages)           
i | flash-player                      | package     | 11.2.202.418-2.11.1          | i586   | openSUSE-13.2-Update-Non-Oss
v | flash-player                      | package     | 11.2.202.411-1.1             | i586   | openSUSE-13.2-Non-Oss       
v | flash-player                      | package     | 11.2.202.310-2.7.1           | i586   | openSUSE-13.2-Update-Non-Oss
v | flash-player                      | package     | 11.2.202.310-2.4.1           | i586   | openSUSE-13.2-Update-Non-Oss
  | flash-player                      | srcpackage  | 11.2.202.418-2.11.1          | noarch | openSUSE-13.2-Update-Non-Oss
  | flash-player                      | srcpackage  | 11.2.202.310-2.7.1           | noarch | openSUSE-13.2-Update-Non-Oss
  | flash-player                      | srcpackage  | 11.2.202.310-2.4.1           | noarch | openSUSE-13.2-Update-Non-Oss
  | flash-player-gnome                | package     | 11.2.202.418-2.11.1          | i586   | openSUSE-13.2-Update-Non-Oss
  | flash-player-gnome                | package     | 11.2.202.411-1.1             | i586   | openSUSE-13.2-Non-Oss       
  | flash-player-gnome                | package     | 11.2.202.310-2.7.1           | i586   | openSUSE-13.2-Update-Non-Oss
  | flash-player-gnome                | package     | 11.2.202.310-2.4.1           | i586   | openSUSE-13.2-Update-Non-Oss
i | flash-player-kde4                 | package     | 11.2.202.418-2.11.1          | i586   | openSUSE-13.2-Update-Non-Oss
v | flash-player-kde4                 | package     | 11.2.202.411-1.1             | i586   | openSUSE-13.2-Non-Oss       
v | flash-player-kde4                 | package     | 11.2.202.310-2.7.1           | i586   | openSUSE-13.2-Update-Non-Oss
v | flash-player-kde4                 | package     | 11.2.202.310-2.4.1           | i586   | openSUSE-13.2-Update-Non-Oss
  | flashrom                          | package     | 0.9.7_r1854-36.1             | i586   | Packman Repository          
  | flashrom                          | package     | 0.9.7-4.1.2                  | i586   | openSUSE-13.2-Oss           
  | flashrom                          | srcpackage  | 0.9.7_r1854-36.1             | noarch | Packman Repository          
  | flashrom-debuginfo                | package     | 0.9.7_r1854-36.1             | i586   | Packman Repository          
  | flashrom-debugsource              | package     | 0.9.7_r1854-36.1             | i586   | Packman Repository          
i | pullin-flash-player               | package     | 12.3-6.4.1                   | i586   | openSUSE-13.2-Update        
v | pullin-flash-player               | package     | 12.3-6.1.2                   | i586   | openSUSE-13.2-Oss           
v | pullin-flash-player               | package     | 12.3-6.1.2                   | i586   | openSUSE-13.2-0             
  | pullin-flash-player               | srcpackage  | 12.3-6.4.1                   | noarch | openSUSE-13.2-Update        
  | texlive-flashcards                | package     | 2013.84.1.0.1svn19667-18.1.7 | noarch | openSUSE-13.2-Oss                                             
  | texlive-flashcards-doc            | package     | 2013.84.1.0.1svn19667-18.1.7 | noarch | openSUSE-13.2-Oss                                             
  | texlive-flashmovie                | package     | 2013.84.0.0.4svn25768-18.1.7 | noarch | openSUSE-13.2-Oss                                             
  | texlive-flashmovie-doc            | package     | 2013.84.0.0.4svn25768-18.1.7 | noarch | openSUSE-13.2-Oss                                             
charles@linux-o5eg:~> 

Thanks for jumping in.

Please see my above post.

I received notice about the 10.3 version of flash in a Google search for any updates to this version as advised by another post in an alternate forum. Also, as I said I didn’t install anything but copying the libflashplayer.so to its proper subdirectory.

Thanks!

Please post also:

zypper lr -uP
charles@linux-o5eg:~> zypper lr -uP
#  | Alias                        | Name                               | Enabled | Refresh | Priority | URI                                                            
---+------------------------------+------------------------------------+---------+---------+----------+----------------------------------------------------------------
 1 | download.nvidia.com-opensuse | nVidia Graphics Drivers            | Yes     | Yes     |   99     | http://download.nvidia.com/opensuse/13.2/                      
 2 | ftp.gwdg.de-suse             | Packman Repository                 | Yes     | Yes     |   99     | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/       
 3 | openSUSE-13.2-0              | openSUSE-13.2-0                    | Yes     | Yes     |   99     | cd:///?devices=/dev/disk/by-id/ata-LITE-ON_DVDRW_LH-20A1H      
 4 | opensuse-guide.org-repo      | libdvdcss repository               | Yes     | Yes     |   99     | http://opensuse-guide.org/repo/13.2/                           
 5 | repo-debug                   | openSUSE-13.2-Debug                | No      | Yes     |   99     | http://download.opensuse.org/debug/distribution/13.2/repo/oss/ 
 6 | repo-debug-update            | openSUSE-13.2-Update-Debug         | No      | Yes     |   99     | http://download.opensuse.org/debug/update/13.2/                
 7 | repo-debug-update-non-oss    | openSUSE-13.2-Update-Debug-Non-Oss | No      | Yes     |   99     | http://download.opensuse.org/debug/update/13.2-non-oss/        
 8 | repo-non-oss                 | openSUSE-13.2-Non-Oss              | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/13.2/repo/non-oss/   
 9 | repo-oss                     | openSUSE-13.2-Oss                  | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/13.2/repo/oss/       
10 | repo-source                  | openSUSE-13.2-Source               | No      | Yes     |   99     | http://download.opensuse.org/source/distribution/13.2/repo/oss/
11 | repo-update                  | openSUSE-13.2-Update               | Yes     | Yes     |   99     | http://download.opensuse.org/update/13.2/                      
12 | repo-update-non-oss          | openSUSE-13.2-Update-Non-Oss       | Yes     | Yes     |   99     | http://download.opensuse.org/update/13.2-non-oss/              
charles@linux-o5eg:~> 

Ook you hae installed outside of the normal channels. Apparently there is a newer version available out on the web which has not been added to the repos yet. (or maybe there is a reason???)

Any how since you have now taken into your hands to update you will need to blacklist the normal repo version so it is not brought in to down grade your version. Go to Yast find flash package mark them not to be installed. Now you are totally in charge and if you miss an update it is on you >:)

Oh, now that’s a bit scary. :slight_smile:

I didn’t realize that’s what I had done. but in the meantime I did search YaST for the Flash Player package and the 11.2 version showed to be installed, I believe. Anyway, I selected the “Remove” option, apparently disabling the Lock Icon that was there at the time and have suffered nothing other than the problem I am having with the install of the 22 updates I first mention in the opening post. Do you see a way for me to continue on with those?

Thought I did? Black list flash in Yast if you want to keep the newer version. If you want to drop back to the openSUSE official version just accept the change

Sorry for being dense. My head has not been as deeply into openSUSE lately and I’m weak on my knowledge about proceedings.

Funny thing, I see no reference to a Flash-Player anywhere in YaST after I removed the only entry about which I mentioned in the earlier post. I’m in a bit of a confused state right about now.

What repos do you have? Should be in the non-os

zypper lr -d

charles@linux-o5eg:~> zypper lr -d 
#  | Alias                        | Name                               | Enabled | Refresh | Priority | Type   | URI                                                             | Service
---+------------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
 1 | download.nvidia.com-opensuse | nVidia Graphics Drivers            | Yes     | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/13.2/                       |        
 2 | ftp.gwdg.de-suse             | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/        |        
 3 | openSUSE-13.2-0              | openSUSE-13.2-0                    | Yes     | Yes     |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-LITE-ON_DVDRW_LH-20A1H       |        
 4 | opensuse-guide.org-repo      | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.2/                            |        
 5 | repo-debug                   | openSUSE-13.2-Debug                | No      | No      |   99     | yast2  | http://download.opensuse.org/debug/distribution/13.2/repo/oss/  |        
 6 | repo-debug-update            | openSUSE-13.2-Update-Debug         | No      | No      |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2/                 |        
 7 | repo-debug-update-non-oss    | openSUSE-13.2-Update-Debug-Non-Oss | No      | No      |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/         |        
 8 | repo-non-oss                 | openSUSE-13.2-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/    |        
 9 | repo-oss                     | openSUSE-13.2-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/        |        
10 | repo-source                  | openSUSE-13.2-Source               | No      | No      |   99     | yast2  | http://download.opensuse.org/source/distribution/13.2/repo/oss/ |        
11 | repo-update                  | openSUSE-13.2-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2/                       |        
12 | repo-update-non-oss          | openSUSE-13.2-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/               |        
charles@linux-o5eg:~> 

Go to Yast - software management search for flash it should show up

If you need the old version
flash-player | package | 10.2.152.26-2.1

Is what I see not 10.3

Then select that in Yast to Protect and do not modify.

Then brute force remove all other versions including the pullin
You may have to mark them as Taboo - Never Install
Ignore all warnings until everything is marked as required, it should then be OK